{% extends 'blog/base.html' %}

{% load static %}

{% block main %}
<!-- Page Header-->
    <header class="masthead" style="background-image: url('{% static 'blog/assets/img/home-bg.jpg' %}')>
        <div class="container position-relative px-4 px-lg-5">
            <div class="row gx-4 gx-lg-5 justify-content-center">
                <div class="col-md-10 col-lg-8 col-xl-7">
                    <div class="site-heading">
                        <h1>پویا بلاگ</h1>
                    </div>
                </div>
            </div>
        </div>
    </header>
    <!-- Main Content-->
    <div class="container px-4 px-lg-5">
        <div class="row gx-4 gx-lg-5 justify-content-center">
            <div class="col-md-10 col-lg-8 col-xl-7">

                {% block header %} {% endblock %}

                {% for article in object_list %}
                    <!-- Post preview-->
                    <div class="post-preview">
                        <a href="{% url 'blog:detail' article.slug %}">
                            <h2 class="post-title">
                                {{article.title}}
                                {% if article.is_special %}
                                    <span style="color:#fff; background-color:red; padding: 5px; border-radius: 10px; font-size: small;">ویژه</span>
                                {% endif %}
                            </h2>
                            <h3 class="post-subtitle">{{article.description|striptags|truncatewords:30}}</h3>
                        </a>
                        <p class="post-meta">
                            نوشته شده توسط
                            <a href="{% url 'blog:author' article.author %}">{{article.author.get_full_name}}</a>
                            {{article.jpublish}}
                        </p>
                        <div>
                            {% for cat in article.category.active %}
                                <a href="{% url 'blog:category' cat.slug %}">#{{cat.title}}</a>
                            {% endfor %}
                        </div>
                    </div>
                    <!-- Divider-->
                    <hr class="my-4" />
                {% endfor %}
                <!-- Pager-->
                {% if is_paginated %}
                <div class="d-flex justify-content-end mb-4">
                    {% if  page_obj.has_previous %}
                    <a class="btn btn-primary text-uppercase float-right ml-3" href="{% block previous_page_url %}{% endblock %}">&rarr; پست های جدید </a>
                    {% endif %}
                    <div class="m-1"></div>
                    {% if  page_obj.has_next %}
                    <a class="btn btn-primary text-uppercase float-right ml-3" href="{% block next_page_url %}{% endblock %}"> پست های قدیمی &larr;</a>
                    {% endif %}               
                </div>
                {% endif %}
            </div>
        </div>
    </div>
{% endblock %}